Name:           httperf
Version:        0.9.0
Release:        %mkrel 13
Summary:        Popular web server benchmark
Group:          System/Base
License:        GPLv2
URL:            http://www.hpl.hp.com/research/linux/httperf
Source:         http://httperf.googlecode.com/files/httperf-%{version}.tar.gz
# from debian: fix build with openssl 1.1
Patch1:		40_ssl1.1.0.patch
Patch2:		10_fix_manpage.patch
Patch3:		20_SSLv23_client_method.patch
Patch4:		50_spelling-error.patch
BuildRequires:  pkgconfig(openssl)

%description
httperf is a popular web server benchmark tool for measuring web server
performance. It provides a flexible facility for generating various HTTP
workloads and for measuring server performance. The focus of httperf is
not on implementing one particular benchmark but on providing a robust,
high-performance tool that  facilitates the construction of both micro-
and macro-level benchmarks.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install


%files
%doc README NEWS ChangeLog AUTHORS TODO
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man?/*


%changelog
* Wed Nov 09 2022 ghibo <ghibo> 0.9.0-13.mga9
+ Revision: 1905028
- Fix build.
- Merge further patches from debian to get package compiling (due to retired SSLv3_client_method from openssl libs).
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Thu Feb 13 2020 umeabot <umeabot> 0.9.0-10.mga8
+ Revision: 1513507
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-9.mga7
+ Revision: 1298216
- Mageia 7 Mass Rebuild

* Mon Sep 11 2017 cjw <cjw> 0.9.0-8.mga7
+ Revision: 1152673
- patch1: fix build with openssl 1.1

* Wed Mar 02 2016 umeabot <umeabot> 0.9.0-7.mga6
+ Revision: 983476
- Rebuild for openssl

* Sat Jan 16 2016 daviddavid <daviddavid> 0.9.0-6.mga6
+ Revision: 923525
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-5.mga5
+ Revision: 743077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-4.mga5
+ Revision: 680197
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.0-3.mga4
+ Revision: 505541
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 353369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 juancho <juancho> 0.9.0-1.mga2
+ Revision: 220450
- imported package httperf


* Tue Mar 06 2012 Alfonso Vera <bersuit.vera@gmail.com > 0.9.0-1bdk.mga2
- Build for Mageia 2
